using MotorPlantContracts.BindingModels;
using MotorPlantContracts.ViewModels;
using MotorPlantContracts.SearchModels;

namespace MotorPlantContracts.BusinessLogicsContracts
{
    public interface IClientLogic
    {
        List<ClientViewModel>? ReadList(ClientSearchModel? model);
        ClientViewModel? ReadElement(ClientSearchModel model);
        bool Create(ClientBindingModel model);
        bool Update(ClientBindingModel model);
        bool Delete(ClientBindingModel model);
    }
}
